You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by ti...@apache.org on 2013/05/14 00:32:01 UTC

android commit: [CB-3340] - version script

Updated Branches:
  refs/heads/master 8bfd45c09 -> 3917284f7


[CB-3340] - version script


Project: http://git-wip-us.apache.org/repos/asf/cordova-android/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-android/commit/3917284f
Tree: http://git-wip-us.apache.org/repos/asf/cordova-android/tree/3917284f
Diff: http://git-wip-us.apache.org/repos/asf/cordova-android/diff/3917284f

Branch: refs/heads/master
Commit: 3917284f713c5073262e4020cf372858291d428d
Parents: 8bfd45c
Author: Tim Kim <ti...@adobe.com>
Authored: Mon May 13 15:30:16 2013 -0700
Committer: Tim Kim <ti...@adobe.com>
Committed: Mon May 13 15:30:16 2013 -0700

----------------------------------------------------------------------
 bin/templates/cordova/version |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-android/blob/3917284f/bin/templates/cordova/version
----------------------------------------------------------------------
diff --git a/bin/templates/cordova/version b/bin/templates/cordova/version
new file mode 100755
index 0000000..21147ab
--- /dev/null
+++ b/bin/templates/cordova/version
@@ -0,0 +1,32 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+# http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+
+CORDOVA_PATH=$( cd "$( dirname "$0" )" && pwd -P)
+PROJECT_PATH="$(dirname "$CORDOVA_PATH")"
+
+VERSION_FILE_PATH="$PROJECT_PATH/assets/www/cordova.js"
+
+if [ -f "$VERSION_FILE_PATH" ]; then
+    JSVersion=$(sed -n '2,2p' assets/www/cordova.js)
+    echo $JSVersion | sed -e 's/\/\/ //'| cut -f 1 -d '-'
+else
+    echo "The file \"$VERSION_FILE_PATH\" does not exist."
+    exit 1
+fi